Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	PDF writer backend for CUPS
Name:      	printruler
Version:   	0.0.12
Release:   	1
License: 	GNU/GPL
URL:		http://code.google.com/p/printruler/
Group:     	System/Configuration/Printing 
# get source tarball via svn and tar cjf
#svn checkout http://printruler.googlecode.com/svn/trunk/ printruler-read-only  
Source0: 	%{name}-svn-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:	ImageMagick
BuildRequires:  qt4-devel
BuildRequires:  libstdc++-devel
Requires:	cups
Requires:	cups-pdf

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Printruler lets you merge multiple print jobs, edit them (delete pages, add blank pages) and do other cool stuff.

%post
ldconfig
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
ldconfig
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -n %{name}-svn-%{version}

%build
qmake-qt4 
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# desktop integration
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications/printruler.desktop
convert logo.png -resize 16x16 -extent 16x16 logo16x16.png
convert logo.png -resize 32x32 -extent 32x32 logo32x32.png
install -D -m 644 logo16x16.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/printruler.png
install -D -m 644 logo32x32.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps/printruler.png
install -D -m 644 logo.png $RPM_BUILD_ROOT%_datadir/icons/hicolor/48x48/apps/printruler.png

%files
%defattr(-,root,root)
%_bindir/printruler
%_datadir/printruler/
%_datadir/applications/
%_datadir/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.12-1
- initial CCux package release
- svn revision 12
